VPS侦探论坛

 找回密码
 注册
查看: 401|回复: 1

解决LNMP1.7版本安装升级php7.4版本出现的问题.

[复制链接]
发表于 2020-9-8 11:24:47 | 显示全部楼层 |阅读模式



Uncompress php-7.4.10.tar.bz2...
cd php-7.4.10...
configure: WARNING: unrecognized options: --with-png, --enable-zip, --without-libzip
报以上警告.
参数写法有问题
第一是with-png 找不到lib文件
第二因为php从7.4开始删除自带的libzip详见php官方
详细解决参照,自行安装libzip. 地址:http://loulin.bid/53.html



补充内容 (2020-9-8 11:38):
with-png-dir ,没有装http://www.libpng.org/pub/png/libpng.html装一下,也可以指定路径,看自己需求
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2020-9-12 14:29:10 | 显示全部楼层


with-png 已经移除 ,libzip版本有要求,参数改为with-zip无libzip路径参数
configure: error: Package requirements (libzip >= 0.11 libzip != 1.3.1 libzip != 1.7.0) were not met:

Requested 'libzip != 1.7.0' but version of libzip is 1.7.0

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBZIP_CFLAGS
and LIBZIP_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-11-30 00:59 , Processed in 0.052527 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表